summaryrefslogtreecommitdiff
path: root/dev-python/django-polymorphic
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-08-02 03:04:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-08-02 03:04:46 -0500
commit964d39efcc2b2e0270dd6ab8341eb85bb5275852 (patch)
treed9c187d35f14c1f5bc6ca70898cae4706daee5b7 /dev-python/django-polymorphic
parent6344ec0d45ab5c6dc7f52b9c7ba2a4fdfa37fb17 (diff)
downloadbaldeagleos-repo-964d39efcc2b2e0270dd6ab8341eb85bb5275852.tar.gz
baldeagleos-repo-964d39efcc2b2e0270dd6ab8341eb85bb5275852.tar.xz
baldeagleos-repo-964d39efcc2b2e0270dd6ab8341eb85bb5275852.zip
Adding metadata
Diffstat (limited to 'dev-python/django-polymorphic')
-rw-r--r--dev-python/django-polymorphic/Manifest1
-rw-r--r--dev-python/django-polymorphic/django-polymorphic-4.11.7.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/django-polymorphic/Manifest b/dev-python/django-polymorphic/Manifest
index e68549a20f2e..f8995ec99c9f 100644
--- a/dev-python/django-polymorphic/Manifest
+++ b/dev-python/django-polymorphic/Manifest
@@ -1 +1,2 @@
DIST django-polymorphic-4.11.6.gh.tar.gz 410488 BLAKE2B ea1b049a2bd2d44287accdbfb76aabf3faee737c2cfaf8ceeabe9ff79639a552dc9a40913101ab2fafdf5e59dab831e1d32ef53eb4463ab8966b986fbc60573b SHA512 daf19896f7a78ba01c4d2f8a6220657b4dc4a24ab185e28df41aabd9d7af7b6eb63fb0519ef3f4b369665c5b9503b6bd037d6fa188904b035074f4635c21a509
+DIST django-polymorphic-4.11.7.gh.tar.gz 424364 BLAKE2B 6599646665c67ce9d218ed4f93691a62675bc20f9fc30128a18d003a42c56dd29e303d41aec5ea8915ed6bb2eef839369e82415afca832637d2c62cebbbf993f SHA512 79f09bf28399d49e20c5f7b0df59b566722f5e54f8360ad5d0250a9da933bec61aa3c559a9eb6f4a50c4280e2fe11a37c1239f5eb45830f1aee86684e5c2d26e
diff --git a/dev-python/django-polymorphic/django-polymorphic-4.11.7.ebuild b/dev-python/django-polymorphic/django-polymorphic-4.11.7.ebuild
new file mode 100644
index 000000000000..3395c394f2ff
--- /dev/null
+++ b/dev-python/django-polymorphic/django-polymorphic-4.11.7.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Seamless Polymorphic Inheritance for Django Models"
+HOMEPAGE="
+ https://github.com/django-commons/django-polymorphic/
+ https://pypi.org/project/django-polymorphic/
+"
+SRC_URI="
+ https://github.com/django-commons/django-polymorphic/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/django-4.2[$PYTHON_USEDEP]
+ >=dev-python/typing-extensions-4.12.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ ${RDEPEND}
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ >=dev-python/packaging-24.2[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{django,mock} )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # requires playwright
+ src/polymorphic/tests/test_admin.py
+ # some of them require playwright, others break subsequent tests
+ src/polymorphic/tests/examples
+ # require django-test-migrations
+ src/polymorphic/tests/test_migration_managers.py
+ src/polymorphic/tests/test_migrations
+ src/polymorphic/tests/test_serialization.py
+ )
+ local EPYTEST_DESELECT=(
+ # require django-extra-views
+ src/polymorphic/tests/test_missing_coverage.py::TestPolymorphicFormSetMixin
+ )
+
+ rm -f conftest.py || die
+ epytest -o addopts=
+}